package cn.iocoder.yudao.module.infra.dal.mysql.file;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.infra.dal.dataobject.file.QRCodeDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface QRCodeDOMapper extends BaseMapperX<QRCodeDO> {

    default QRCodeDO selectByDeptId(Long deptId, String scene) {

        return selectOne(new LambdaQueryWrapperX<QRCodeDO>()
                .eq(QRCodeDO::getBusinessId, deptId)
                .eqIfPresent(QRCodeDO::getScene, scene)
                .eq(QRCodeDO::getBusinessType, 1));
    }
}
